## rhvoice 1.14.0

=== CMakeLists.txt ===
# Copyright (C) 2010, 2011, 2012, 2013, 2014, 2018  Olga Yakovleva <yakovleva.o.v@gmail.com>

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.


cmake_minimum_required(VERSION 3.9)
project("RHVoice")

set(customCMakeModulesDir "${CMAKE_SOURCE_DIR}/cmake")
set(thirdPartyCMakeModulesDir "${customCMakeModulesDir}/thirdParty")
set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH}" "${customCMakeModulesDir}" "${thirdPartyCMakeModulesDir}/sanitizers/cmake")
add_subdirectory("${thirdPartyCMakeModulesDir}/CCache")

include(FindPkgConfig)
include(GNUInstallDirs)
include(CPackComponent)
include(Hardening)
include(VersionFromGit)
find_package(Sanitizers)
getVersionFromGit("RHVOICE" "1.2.2")

if(${CMAKE_VERSION} VERSION_GREATER "3.12")
	set(CMAKE_CXX_STANDARD 20)
else()
	set(CMAKE_CXX_STANDARD 17)
endif()


set(CMAKE_C_STANDARD 11)


macro(pass_through_cpack_vars)
	get_cmake_property(cpackVarsToPassthrough VARIABLES)
	foreach(varName ${cpackVarsToPassthrough})
		if(varName MATCHES "^CPACK_")
			set("${varName}" "${${varName}}" PARENT_SCOPE)
		endif()
	endforeach()
endmacro()

if(CMAKE_INSTALL_PREFIX EQUAL "/usr")
	set(CMAKE_INSTALL_SYSCONFDIR "/etc")
endif()


set("dev" OFF CACHE BOOL "The build will only be used for development: no global installation, run from the source directory, compile helper utilities")
set("WITH_CLI11" OFF CACHE BOOL "Use CLI11 instead of bundled tclap")
set("ENABLE_SONIC" OFF CACHE BOOL "Build with libsonic.")
set("WITH_DATA" ON CACHE BOOL "Build packages with data. Long to compress. When debugging RHVoice itself it makes sense to disable it.")
#set("spd_version" validate_spd_version CACHE ??? "Speech dispatcher version")
set("release" ON CACHE BOOL "Whether we are building a release")
set("enable_xp_compat" ON CACHE BOOL "Target Windows XP")
set("msi_repo" "" CACHE PATH "Where the msi packages are kept for reuse")
set("servicedir" "${CMAKE_INSTALL_FULL_DATADIR}/dbus-1/services" CACHE PATH ".service file installation directory")

set("data_dir" "${CMAKE_INSTALL_FULL_DATADIR}/RHVoice")
set("languages_dir" "${data_dir}/languages")
set("voices_dir" "${data_dir}/voices")

set("config_dir" "${CMAKE_INSTALL_FULL_SYSCONFDIR}/RHVoice")
set("common_doc_dir" "${CMAKE_INSTALL_FULL_DATAROOTDIR}/doc" CACHE PATH "Documentation directory path")

set(SubpackagesDir "${CMAKE_CURRENT_SOURCE_DIR}/src")
set("licenses_dir" "${CMAKE_CURRENT_SOURCE_DIR}/licenses")
set("voice_licenses_dir" "${licenses_dir}/voices")

# Working around a bug with CPACK_COMPONENTS_ALL not being properly populated by populating manually
set(CPACK_COMPONENTS_ALL "")

add_subdirectory("${SubpackagesDir}")
add_subdirectory("${CMAKE_CURRENT_SOURCE_DIR}/config")
if(WITH_DATA)
	add_subdirectory("${CMAKE_CURRENT_SOURCE_DIR}/data")
endif()

set(CPACK_PACKAGE_CHECKSUM "SHA512")
set(CPACK_GENERATOR "" CACHE STRING "Set generator for CPack")
set_property(CACHE CPACK_GENERATOR PROPERTY STRINGS "IFW;NSIS;NSIS64;NuGet;WIX;STGZ;7Z;TBZ2;TGZ;TXZ;TZ;TZST;ZIP;DEB;RPM;PackageMaker;CygwinBinary;DEB;DragNDrop;External;OSXX11;Bundle")
set(CPACK_DEBIAN_COMPRESSION_TYPE "xz")
set(CPACK_NSIS_COMPRESSOR "lzma")

option(CPACK_NSIS_COMPONENT_INSTALL "Split into multiple rpm packages" ON)
option(CPACK_RPM_COMPONENT_INSTALL "Split into multiple rpm packages" ON)
option(CPACK_DEB_COMPONENT_INSTALL "Split into multiple deb packages" ON)
set(CPACK_DEBIAN_ENABLE_COMPONENT_DEPENDS ON)


set(CPACK_PACKAGE_VENDOR "Olga Yakovleva")
set(CPACK_PACKAGE_CONTACT "https://github.com/RHVoice/RHVoice")
set(CPACK_PACKAGE_HOMEPAGE_URL "https://github.com/RHVoice/RHVoice")
set(CPACK_NSIS_URL_INFO_ABOUT "${CPACK_PACKAGE_HOMEPAGE_URL}")
#set(CPACK_NSIS_MUI_FINISHPAGE_RUN "echo \'Проверка связи!\" | RHVoice-test > %CSIDL_DEFAULT_DESKTOP%/RHVoice_test.wav")

set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE.md")

set(CPACK_RESOURCE_FILE_README "${CMAKE_CURRENT_SOURCE_DIR}/README.md")

set(CPACK_NSIS_DISPLAY_NAME "RHVoice")
set(CPACK_DEBIAN_PACKAGE_NAME "RHVoice")
set(CPACK_PACKAGE_VERSION_MAJOR "${RHVOICE_VERSION_MAJOR}")
set(CPACK_PACKAGE_VERSION_MINOR "${RHVOICE_VERSION_MINOR}")
set(CPACK_PACKAGE_VERSION_PATCH "${RHVOICE_VERSION_PATCH}")
set(CPACK_PACKAGE_VERSION_TWEAK "${RHVOICE_VERSION_TWEAK}")

set(CPACK_COMPONENTS_GROUPING "IGNORE")

set(CPACK_MONOLITHIC_INSTALL OFF)
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CPACK_RESOURCE_FILE_README}")

include(CPack)

=== SConstruct ===
# Copyright (C) 2010, 2011, 2012, 2013, 2014, 2018, 2020, 2022  Olga Yakovleva <olga@rhvoice.org>

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

import sys
import os
import os.path
import subprocess
import platform
import datetime
import re
if sys.platform=="win32":
    if sys.version_info[0]>=3:
        import winreg
    else:
        import _winreg as winreg

boost_includedir=Dir("#external").Dir("libs").Dir("boost").Dir("include")

def get_version(is_release):
    next_version="1.14.0"
    return next_version

def passthru(env, cmd, unique=False):
    return cmd.rstrip()

def CheckPKGConfig(context):
    context.Message("Checking for pkg-config... ")
    result=context.TryAction("pkg-config --version")[0]
    context.Result(result)
    return result

def CheckPKG(context,name):
    context.Message("Checking for {}... ".format(name))
    result=context.TryAction("pkg-config --exists '{}'".format(name))[0]
    context.Result(result)
    return result

def CheckMSVC(context):
    context.Message("Checking for Visual C++ ... ")
    result=0
    version=context.env.get("MSVC_VERSION",None)
    if version is not None:
        result=1
    context.Result(result)
    return result

def CheckXPCompat(context):
    context.Message("Checking for Windows XP compatibility ... ")
    result=0
    if context.env.get("xp_compat_enabled",False):
        result=1
    context.Result(result)
    return result

def CheckNSIS(context):
    result=0
    context.Message("Checking for NSIS")
    if "NSISDIR" in os.environ:
        context.env["makensis"]=File(os.path.join(os.environ["NSISDIR"],"makensis.exe"))
        result=1
    else:
        key_name=r"SOFTWARE\NSIS"
        try:
            with winreg.OpenKey(winreg.HKEY_LOCAL_MACHINE,key_name,0,winreg.KEY_READ|winreg.KEY_WOW64_32KEY) as key:
                context.env["makensis"]=File(os.path.join(winreg.QueryValueEx(key,None)[0],"makensis.exe"))
                result=1
        except WindowsError:
            pass
    context.Result(result)
    return result

def CheckWiX(context):
    result=0
    context.Message("Checking for WiX toolset")
    if "WIXTOOLPATH" in os.environ or "WIX" in os.environ:
        if "WIXTOOLPATH"in os.environ:
            context.env["WIX"]=os.environ["WIXTOOLPATH"]
        else:
            context.env["WIX"]=os.path.join(os.environ["WIX"],"bin")
        result=1
    context.Result(result)
    return result

def get_spd_module_dir():
    env = Environment()
    try:
        return env.ParseConfig("pkg-config speech-dispatcher --variable=modulebindir", passthru)
    except:
        return False

def validate_spd_version(key,val,env):
    m=re.match(r"^\d+\.\d+",val)
    if m is None:
        raise Exception("Invalid value of spd_version: {}".format(val))

def CheckSpdVersion(ctx):
    ctx.Message("Checking Speech Dispatcher version ... ")
    ver=ctx.env.get("spd_version",None)
    if ver is not None:
        ctx.Result(ver)
        return ver
    res, ver=ctx.TryAction("pkg-config --modversion speech-dispatcher > $TARGET")
    ver=ver.strip()
    if not res:
        src='#include <stdio.h>\n#include <speech-dispatcher/libspeechd_version.h>\nint main() {\nint major=LIBSPEECHD_MAJOR_VERSION;\nint minor=LIBSPEECHD_MINOR_VERSION;\nprintf("%d.%d",major,minor);\nreturn 0;}'
        res,ver=ctx.TryRun(src,".c")
    if not res:
        ctx.Result(res)
        return res
    ctx.env["spd_version"]=ver
    ctx.Result(ver)
    return ver

def convert_flags(value):
    return value.split()

def convert_path(value):
    return value.split(";" if sys.platform=="win32" else ":")

def setup():
    if sys.platform=="win32":
        SetOption("warn","no-visual-c-missing")
    global BUILDDIR,var_cache
    system=platform.system().lower()
    BUILDDIR=os.path.join("build",system)
    var_cache=os.path.join(BUILDDIR,"user.conf")
    Execute(Mkdir(BUILDDIR))
    SConsignFile(os.path.join(BUILDDIR,"scons"))

def create_languages_user_var():
    langs_dir=Dir("#data").Dir("languages")
    names=[name for name in sorted(os.listdir(langs_dir.path)) if os.path.isdir(langs_dir.Entry(name).path)]
    langs=[name.lower() for name in names]
    name_map=dict(zip(names,langs))
    def_langs=langs
    if sys.platform!="win32":
        def_langs=[lang for lang in langs if lang not in["georgian"]]
        print("Georgian language is skipped because of non-free license")
    help="Which languages to install"
    return ListVariable("languages",help,def_langs,langs,name_map)

def create_audio_libs_user_var():
    libs=["pulse","libao","portaudio"]
    help="Which audio libraries to use if they are available"
    return ListVariable("audio_libs",help,libs,libs)

def create_user_vars():
    args={"DESTDIR":""}
    args.update(ARGUMENTS)
    vars=Variables(var_cache,args)
    vars.Add(BoolVariable("dev","The build will only be used for development: no global installation, run from the source directory, compile helper utilities",False))
    vars.Add(create_languages_user_var())
    vars.Add(BoolVariable("enable_sonic","Build with Sonic",False))
    vars.Add(BoolVariable("enable_pkg","Enable package directory code",False))
    vars.Add(create_audio_libs_user_var())
    vars.Add(BoolVariable("release","Whether we are building a release",True))
    if sys.platform=="win32":
        vars.Add(BoolVariable("sapi_dev_core", "Use the development version of the core in SAPI5 voice installers", False))
        vars.Add(BoolVariable("enable_x64","Additionally build 64-bit versions of all the libraries",True))
        vars.Add(BoolVariable("enable_xp_compat","Target Windows XP",False))
    else:
        vars.Add(PathVariable("spd_module_dir", "Speech dispatcher module directory", get_spd_module_dir(),  PathVariable.PathAccept))
        vars.Add("spd_version","Speech dispatcher version",validator=validate_spd_version)
        vars.Add("prefix","Installation prefix","/usr/local")
        vars.Add("bindir","Program installation directory","$prefix/bin")
        vars.Add("libdir","Library installation directory","$prefix/lib")
        vars.Add("includedir","Header installation directory","$prefix/include")
        vars.Add("datadir","Data installation directory","$prefix/share")
        vars.Add("sysconfdir","A directory for configuration files","$prefix/etc")
        vars.Add("servicedir",".service file installation directory","$datadir/dbus-1/services")
        vars.Add("DESTDIR","Support for staged installation","")
        vars.Add(BoolVariable("enable_shared","Build a shared library",True))
    if sys.platform=="win32":
        suffixes=["32","64"]
    else:
        suffixes=[""]
    for suffix in suffixes:
        vars.Add("CPPPATH"+suffix,"List of directories where to search for headers",[],converter=convert_path)
        vars.Add("LIBPATH"+suffix,"List of directories where to search for libraries",[],converter=convert_path)
    vars.Add("CPPFLAGS","C/C++ preprocessor flags",[],converter=convert_flags)
    vars.Add("CCFLAGS","C/C++ compiler flags",["/O2","/GL","/Gw"] if sys.platform=="win32" else ["-O2"],converter=convert_flags)
    vars.Add("CFLAGS","C compiler flags",[],converter=convert_flags)
    vars.Add("CXXFLAGS","C++ compiler flags",[],converter=convert_flags)
    vars.Add("LINKFLAGS","Linker flags",["/LTCG","/OPT:REF","/OPT:ICF"] if sys.platform=="win32" else [],converter=convert_flags)
    return vars

def create_base_env(user_vars):
    env_args={"variables":user_vars}
    if sys.platform=="win32":
        env_args["tools"]=["newlines", "msgfmt"]
    else:
        env_args["tools"]=["default","installer"]
    env_args["tools"].extend(["textfile","library"])
    env_args["LIBS"]=[]
    env_args["package_name"]="RHVoice"
    env_args["CPPDEFINES"]=[("RHVOICE","1")]
    env=Environment(**env_args)
    if env["dev"]:
        env["prefix"]=os.path.abspath("local")
        env["RPATH"]=env.Dir("$libdir").abspath
    env["package_version"]=get_version(env["release"])
    env.Append(CPPDEFINES=("PACKAGE",env.subst(r'\"$package_name\"')))
    if env["PLATFORM"]=="win32":
        env.Append(CPPDEFINES=("WIN32",1))
        env.Append(CPPDEFINES=("UNICODE",1))
        env.Append(CPPDEFINES=("NOMINMAX",1))
    env["libcore"]="RHVoice_core"
    env["libaudio"]="RHVoice_audio"
    return env

def display_help(env,vars):
    Help("Type 'scons' to build the package.\n")
    if sys.platform!="win32":
        Help("Then type 'scons install' to install it.\n")
        Help("Type 'scons --clean install' to uninstall the software.\n")
    Help("You may use the following configuration variables:\n")
    Help(vars.GenerateHelpText(env))

def clone_base_env(base_env,user_vars,arch=None):
    args={}
    if sys.platform=="win32":
        if arch is not None:
            args["TARGET_ARCH"]=arch
        args["tools"]=["msvc","mslink","mslib"]
    env=base_env.Clone(**args)
    user_vars.Update(env)
    if env["PLATFORM"]=="win32":
        env.AppendUnique(CCFLAGS=["/nologo","/MT"])
        env.AppendUnique(LINKFLAGS=["/nologo"])
        env.AppendUnique(CXXFLAGS=["/EHsc"])
        if env["enable_xp_compat"]:
            env.Tool("xp_compat")
    if "gcc" in env["TOOLS"]:
        env.MergeFlags("-pthread")
        env.AppendUnique(CXXFLAGS=["-std=c++11"])
        env.AppendUnique(CFLAGS=["-std=c11"])
        if 'SOURCE_DATE_EPOCH' in os.environ:
            env['ENV']['SOURCE_DATE_EPOCH'] = os.environ['SOURCE_DATE_EPOCH']
    if sys.platform=="win32":
        bits="64" if arch.endswith("64") else "32"
        env["BUILDDIR"]=os.path.join(BUILDDIR,arch)
        env["CPPPATH"]=env["CPPPATH"+bits]
        env["LIBPATH"]=env["LIBPATH"+bits]
    else:
        env["BUILDDIR"]=BUILDDIR
    third_party_dir=os.path.join("src","third-party")
    for path in Glob(os.path.join(third_party_dir,"*"),strings=True):
        if os.path.isdir(path):
            env.Prepend(CPPPATH=("#"+path))
    env.Prepend(CPPPATH=boost_includedir)
    env.Prepend(CPPPATH=(os.path.join("#"+env["BUILDDIR"],"include"),".",os.path.join("#src","include")))
    return env

def configure(env):
    tests={"CheckPKGConfig":CheckPKGConfig,"CheckPKG":CheckPKG,"CheckSpdVersion":CheckSpdVersion}
    if env["PLATFORM"]=="win32":
        tests["CheckMSVC"]=CheckMSVC
        tests["CheckXPCompat"]=CheckXPCompat
    conf=env.Configure(conf_dir=os.path.join(env["BUILDDIR"],"configure_tests"),
                       log_file=os.path.join(env["BUILDDIR"],"configure.log"),
                       config_h=os.path.join(env["BUILDDIR"],"include","configure.h"),
                       custom_tests=tests)
    if env["PLATFORM"]=="win32":
        if not conf.CheckMSVC():
            print("Error: Visual C++ is not installed")
            exit(1)
        print("Visual C++ version is {}".format(env["MSVC_VERSION"]))
        if env["enable_xp_compat"] and not conf.CheckXPCompat():
            print("Error: Windows XP compatibility cannot be enabled")
            exit(1)
    if not conf.CheckCC():
        print("The C compiler is not working")
        exit(1)
    if not conf.CheckCXX():
        print("The C++ compiler is not working")
        exit(1)
# has_sox=conf.CheckLibWithHeader("sox","sox.h","C",call='sox_init();',autoadd=0)
# if not has_sox:
#     print("Error: cannot link with libsox")
#     exit(1)
# env.PrependUnique(LIBS="sox")
    has_giomm=False
    has_pkg_config=conf.CheckPKGConfig()
    if has_pkg_config:

=== config/CMakeLists.txt ===
# Copyright (C) 2010, 2011, 2012, 2013, 2014, 2018  Olga Yakovleva <yakovleva.o.v@gmail.com>

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/RHVoice.conf"
	DESTINATION "${config_dir}"
	COMPONENT "core"
)

=== data/CMakeLists.txt ===
# Copyright (C) 2010, 2011, 2012, 2013, 2014, 2018  Olga Yakovleva <yakovleva.o.v@gmail.com>

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.
cpack_add_component_group("data")


set("ISO639_1_NAME2CODE_Russian" "ru")
set("ISO639_1_NAME2CODE_English" "en")
set("ISO639_1_NAME2CODE_Ukrainian" "uk")
set("ISO639_1_NAME2CODE_Brazilian" "br")
set("ISO639_1_NAME2CODE_Portuguese" "pt")
set("ISO639_1_NAME2CODE_Polish" "pl")
set("ISO639_1_NAME2CODE_Brazilian-Portuguese" "${ISO639_1_NAME2CODE_Portuguese}-BR")

set("ISO639_1_NAME2CODE_Esperanto" "eo")
set("ISO639_1_NAME2CODE_Georgian" "ka")
set("ISO639_1_NAME2CODE_Kyrgyz" "ky")
set("ISO639_1_NAME2CODE_Macedonian" "mk")
set("ISO639_1_NAME2CODE_Albanian" "sq")
set("ISO639_1_NAME2CODE_Tatar" "tt")
set("ISO639_1_NAME2CODE_Czech" "cs")
set("ISO639_1_NAME2CODE_Slovak" "sk")
set("ISO639_1_NAME2CODE_Uzbek" "uz")

function(createLangCodeToNameMapping)
	get_cmake_property(varsHere VARIABLES)
	foreach(varName ${varsHere})
		if(varName MATCHES "^ISO639_1_NAME2CODE_(.+)$")
			set("ISO639_1_CODE2NAME_${${varName}}" "${CMAKE_MATCH_1}" PARENT_SCOPE)
		endif()
	endforeach()
endfunction()
createLangCodeToNameMapping()

set("VOICE_talgat_LICENSE" "Proprietary, non-commercial") # Tatar
set("VOICE_natia_LICENSE" "Proprietary, personal use only") # Georgian
set("VOICE_Leticia-F123_LICENSE" "by-sa-4.0") # Brazilian Portuguese

set("VOICE_aleksandr_LANG" "ru")
set("VOICE_aleksandr-hq_LANG" "ru")
set("VOICE_anna_LANG" "ru")
set("VOICE_vitaliy_LANG" "ru")
set("VOICE_vitaliy-ng_LANG" "ru")
set("VOICE_umka_LANG" "ru")
set("VOICE_yuriy_LANG" "ru")
set("VOICE_arina_LANG" "ru")
set("VOICE_artemiy_LANG" "ru")
set("VOICE_evgeniy-rus_LANG" "ru")
set("VOICE_elena_LANG" "ru")
set("VOICE_irina_LANG" "ru")
set("VOICE_pavel_LANG" "ru")
set("VOICE_victoria_LANG" "ru")
set("VOICE_tatiana_LANG" "ru")
set("VOICE_timofey_LANG" "ru")
set("VOICE_mikhail_LANG" "ru")
set("VOICE_vsevolod_LANG" "ru")

set("VOICE_evgeniy-eng_LANG" "en")
set("VOICE_lyubov_LANG" "en")
set("VOICE_alan_LANG" "en")
set("VOICE_bdl_LANG" "en")
set("VOICE_clb_LANG" "en")
set("VOICE_slt_LANG" "en")

set("VOICE_volodymyr_LANG" "uk")
set("VOICE_marianna_LANG" "uk")
set("VOICE_anatol_LANG" "uk")
set("VOICE_natalia_LANG" "uk")

set("VOICE_Leticia-F123_LANG" "${ISO639_1_NAME2CODE_Brazilian-Portuguese}")

set("VOICE_spomenka_LANG" "eo")

set("VOICE_natia_LANG" "ka")

set("VOICE_azamat_LANG" "ky")
set("VOICE_nazgul_LANG" "ky")

set("VOICE_kiko_LANG" "mk")
set("VOICE_suze_LANG" "mk")

set("VOICE_hana_LANG" "sq")

set("VOICE_talgat_LANG" "tt")

set("VOICE_alicja_LANG" "pl")
set("VOICE_cezary_LANG" "pl")
set("VOICE_magda_LANG" "pl")
set("VOICE_michal_LANG" "pl")
set("VOICE_natan_LANG" "pl")
set("VOICE_zdenek_LANG" "cs")
set("VOICE_ondro_LANG" "sk")
set("VOICE_sevinch_LANG" "uz")

cpack_add_component_group("data"
	DISPLAY_NAME "Data files"
	DESCRIPTION "Various data required for synthesis"
	EXPANDED
)

add_subdirectory("languages")
add_subdirectory("voices")
pass_through_cpack_vars()

=== src/CMakeLists.txt ===
pkg_check_modules(DBUS dbus)
pkg_check_modules(LIBGIOMM giomm-2.4)
pkg_check_modules(SPEECHD speech-dispatcher)

set(BUILD_CLIENT "${DBUS_FOUND}" CACHE BOOL "Build standalone RHVoice-client application")
set(BUILD_UTILS ON CACHE BOOL "Build some useful utils")
set(BUILD_TESTS ON CACHE BOOL "Build test applications")
set(BUILD_SERVICE "${LIBGIOMM_FOUND}" CACHE BOOL "Build RHVoice server application")
set(BUILD_SPEECHDISPATCHER_MODULE "${SPEECHD_FOUND}" CACHE BOOL "Build SpeechDispatcher module")

set(INCLUDE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/include")
configure_file("${INCLUDE_DIR}/core/config.h.in" "${INCLUDE_DIR}/core/config.h")

find_package(utf8cpp)
if (utf8cpp_FOUND)
    get_target_property(UTF8_INCLUDE_DIR utf8cpp INTERFACE_INCLUDE_DIRECTORIES)
else(utf8cpp_FOUND)
    set(UTF8_INCLUDE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/third-party/utf8")
endif(utf8cpp_FOUND)

cpack_add_component_group("libraries"
	DISPLAY_NAME "libraries"
	DESCRIPTION "Libraries that implement the needed functionality"
	EXPANDED
)

cpack_add_component_group("binaries"
	DISPLAY_NAME "Programs"
	DESCRIPTION "Programs to be called by users directly"
	EXPANDED
)

add_subdirectory("third-party")
set(HTS_LABELS_KIT_INCLUDES "${UTF8_INCLUDE_DIR}" "${RAPIDXML_INCLUDE_DIR}")

add_subdirectory("core")
add_subdirectory("audio")
add_subdirectory("lib")
add_subdirectory("hts_engine")

if (BUILD_CLIENT)
	add_subdirectory("bin")
endif(BUILD_CLIENT)

if (BUILD_UTILS)
	add_subdirectory("utils")
endif(BUILD_UTILS)

if (BUILD_TESTS)
	add_subdirectory("test")
endif(BUILD_TESTS)

IF (WIN32)
	#add_subdirectory("sapi")
	#add_subdirectory("nvda-addon")
	#add_subdirectory("wininst")
endif()

if(BUILD_SERVICE)
	add_subdirectory("service")
endif(BUILD_SERVICE)

if(BUILD_SPEECHDISPATCHER_MODULE)
	add_subdirectory("sd_module")
endif(BUILD_SPEECHDISPATCHER_MODULE)

pass_through_cpack_vars()

=== data/languages/CMakeLists.txt ===
set("CPACK_DEBIAN_LANGUAGES_PACKAGE_NAME" "rhvoice-languages" PARENT_SCOPE)

macro(languageInDir languageName langDir)
	set(lang_var_name "ISO639_1_NAME2CODE_${languageName}")

	if(${lang_var_name})
		set(langCode "${${lang_var_name}}")
	else()
		message(FATAL_ERROR "Please set ${lang_var_name} to the code of the lang from https://en.wikipedia.org/wiki/List_of_ISO_639-1_codes")
	endif()

	set(languagePackageName "RHVoice-language-${langCode}")
	string(REPLACE "-" "_" languagePackageFilteredName "${languagePackageName}")
	file(GLOB_RECURSE SRCFILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${langDir}/*")
	add_custom_target(
		"${languagePackageFilteredName}"
		SOURCES "${SRCFILES}"
	)

	string(TOUPPER "${languagePackageFilteredName}" languagePackageFilteredNameUpper)
	cpack_add_component("${languagePackageFilteredName}" GROUP "languages" DISPLAY_NAME "${languageName}"
		DESCRIPTION "${languageName} language (${langCode}) for RHVoice"
	)
	list(APPEND CPACK_COMPONENTS_ALL "${languagePackageFilteredName}")

	set("CPACK_DEBIAN_${languagePackageFilteredNameUpper}_PACKAGE_NAME" "${languagePackageName}")
	set("CPACK_RPM_${languagePackageFilteredNameUpper}_PACKAGE_NAME" "${languagePackageName}")
	set("CPACK_DEBIAN_${languagePackageFilteredNameUpper}_PACKAGE_DEPENDS" "${CPACK_DEBIAN_CORE_PACKAGE_NAME}, RHVoice-language-${langCode}" PARENT_SCOPE)
	set("CPACK_DEBIAN_${languagePackageFilteredNameUpper}_PACKAGE_SECTION" "contrib" PARENT_SCOPE)

	install(DIRECTORY "${langDir}"
		DESTINATION "${languages_dir}"
		COMPONENT "${languagePackageFilteredName}"
		PATTERN "SConscript" EXCLUDE
		PATTERN "CMakeLists.txt" EXCLUDE
	)
	pass_through_cpack_vars()
endmacro()


#set("CPACK_DEBIAN_LANGUAGES_PACKAGE_NAME" "rhvoice-languages" PARENT_SCOPE)

cpack_add_component_group("languages"
	DISPLAY_NAME "Languages"
	DESCRIPTION "Different languages"
	PARENT_GROUP "data"
	EXPANDED
)

file(GLOB languagesDirzInThisDir
	LIST_DIRECTORIES true
	"${CMAKE_CURRENT_SOURCE_DIR}/*"
)
foreach(langDir IN LISTS languagesDirzInThisDir)
	if(IS_DIRECTORY "${langDir}")
		get_filename_component(languageName "${langDir}" NAME)
		if(EXISTS "${langDir}/CMakeLists.txt")
			add_subdirectory("${langDir}")
		else()
			languageInDir("${languageName}" "${langDir}" )
		endif()
	endif()
endforeach()

pass_through_cpack_vars()

=== src/audio/CMakeLists.txt ===
# -*- mode: Python; indent-tabs-mode: t; tab-width: 4 -*-
# Copyright (C) 2012, 2014, 2018  Olga Yakovleva <yakovleva.o.v@gmail.com>

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

set(SOURCES "audio.cpp;file_playback_stream_impl.cpp;playback_stream.cpp")

set(audio_libs "libao;pulse;portaudio")

pkg_check_modules(LIBAO "ao")
pkg_check_modules(LIBPORTAUDIO "portaudio-2.0")
pkg_check_modules(LIBPULSESIMPLE "libpulse-simple")
option(WITH_LIBAO "Support libao" "${LIBAO_FOUND}")
option(WITH_PULSE "Support pulseaudio" "${LIBPULSESIMPLE_FOUND}")
option(WITH_PORTAUDIO "Support portaudio" "${LIBPORTAUDIO_FOUND}")

if(WITH_LIBAO)
	list(APPEND SOURCES "libao.cpp")
endif()
if(WITH_PULSE)
	list(APPEND SOURCES "pulse.cpp")
endif()
if(WITH_PORTAUDIO)
	list(APPEND SOURCES "portaudio.cpp")
endif()

add_library(RHVoice_audio SHARED "${SOURCES}")
set_target_properties(RHVoice_audio PROPERTIES VERSION "${RHVOICE_VERSION}" SOVERSION "${RHVOICE_VERSION_MAJOR}")
harden("RHVoice_audio")
add_sanitizers("RHVoice_audio")
target_include_directories(RHVoice_audio PRIVATE "${INCLUDE_DIR}")

if(WITH_LIBAO)
	target_link_libraries(RHVoice_audio "${LIBAO_LIBRARIES}")
	message(STATUS "${LIBAO_INCLUDE_DIRS}")
	target_include_directories(RHVoice_audio PRIVATE "${LIBAO_INCLUDE_DIRS}")
endif()
if(WITH_PULSE)
	target_compile_definitions(RHVoice_audio PUBLIC WITH_PULSE)
	target_link_libraries(RHVoice_audio "${LIBPULSESIMPLE_LIBRARIES}")
	target_include_directories(RHVoice_audio PRIVATE "${LIBPULSESIMPLE_INCLUDE_DIRS}")
endif()
if(WITH_PORTAUDIO)
	target_compile_definitions(RHVoice_audio PUBLIC WITH_PORTAUDIO)
	target_link_libraries(RHVoice_audio "${LIBPORTAUDIO_LIBRARIES}")
	target_include_directories(RHVoice_audio PRIVATE "${LIBPORTAUDIO_INCLUDE_DIRS}")
endif()

cpack_add_component(audio
	DISPLAY_NAME "Text-to-speech-sound library"
	DESCRIPTION "Provides a library that abstracts the way speech is output. It is also provides a high-level facade for speech synthesis"
	GROUP "libraries"
	DEPENDS "libhts_engine"
)
list(APPEND CPACK_COMPONENTS_ALL "audio")

install(TARGETS "RHVoice_audio"
	LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
	COMPONENT "audio"
)

set("CPACK_DEBIAN_AUDIO_PACKAGE_NAME" "librhvoice-audio")
set(CPACK_DEBIAN_AUDIO_PACKAGE_DEPENDS "${CPACK_DEBIAN_CORE_PACKAGE_NAME}")
pass_through_cpack_vars()

=== src/core/CMakeLists.txt ===
# -*- mode: Python; indent-tabs-mode: t; tab-width: 4 -*-
# Copyright (C) 2012, 2018, 2019  Olga Yakovleva <yakovleva.o.v@gmail.com>

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.


file(GLOB_RECURSE SRCFILES "${CMAKE_CURRENT_SOURCE_DIR}/*.c" "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp")

# database files, included into needed places
list(REMOVE_ITEM SRCFILES "${CMAKE_CURRENT_SOURCE_DIR}/emoji_data.cpp")
list(REMOVE_ITEM SRCFILES "${CMAKE_CURRENT_SOURCE_DIR}/unidata.cpp")
list(REMOVE_ITEM SRCFILES "${CMAKE_CURRENT_SOURCE_DIR}/userdict_parser.c")

if(ENABLE_SONIC)
	set(CPACK_DEBIAN_CORE_PACKAGE_DEPENDS "${CPACK_DEBIAN_LIBSONIC_PACKAGE_NAME}")
endif()

if(ENABLE_MAGE)
	list(APPEND CPACK_DEBIAN_CORE_PACKAGE_DEPENDS "${CPACK_DEBIAN_LIBMAGE_PACKAGE_NAME}")
else()
	list(REMOVE_ITEM SRCFILES "${CMAKE_CURRENT_SOURCE_DIR}/mage_hts_engine_impl.cpp")
endif()

add_library(RHVoice_core SHARED "${SRCFILES}")
set_target_properties(RHVoice_core PROPERTIES VERSION "${RHVOICE_VERSION}" SOVERSION "${RHVOICE_VERSION_MAJOR}")
set(libs2link "libhts_engine")
target_include_directories(RHVoice_core PUBLIC "${INCLUDE_DIR}" PRIVATE "${HTS_LABELS_KIT_INCLUDES}")

set(package_name "RHVoice_core")

set(VERSION "${RHVOICE_VERSION}")

if(ENABLE_SONIC)
	list(APPEND libs2link "sonic")
endif()
set(CONFIG_PATH "${config_dir}")
set(DATA_PATH "${data_dir}")
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/config.h.in" "${CMAKE_CURRENT_SOURCE_DIR}/config.h")

target_link_libraries(RHVoice_core "${libs2link}")
harden("RHVoice_core")
add_sanitizers("RHVoice_core")

cpack_add_component(core
	DISPLAY_NAME "Synthesis core"
	DESCRIPTION "Provides a library that does speech synthesis"
	REQUIRED
	GROUP "libraries"
	DEPENDS "libhts_engine"
)
list(APPEND CPACK_COMPONENTS_ALL "core")

install(TARGETS "RHVoice_core"
	LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
	COMPONENT "core"
)

if(Sonic_FORCE_COMPILATION)
	list(APPEND CPACK_COMPONENT_CORE_DEPENDS "libsonic")
endif()

string(REPLACE ";" ", " CPACK_DEBIAN_CORE_PACKAGE_DEPENDS "${CPACK_DEBIAN_CORE_PACKAGE_DEPENDS}")
set("CPACK_DEBIAN_CORE_PACKAGE_NAME" "librhvoice-core")

pass_through_cpack_vars()

=== src/hts_engine/CMakeLists.txt ===
# -*- mode: Python; indent-tabs-mode: t; tab-width: 4; python-indent: 4 -*-
# Copyright (C) 2013  Olga Yakovleva <yakovleva.o.v@gmail.com>

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

file(GLOB_RECURSE SRCFILES "${CMAKE_CURRENT_SOURCE_DIR}/HTS_*.c")

# core/str_hts_engine_impl.cpp contains an impl of the methods defined in HTS_audio.c
# RHVoice build will fail if hts_engine is built and linked as a shared library on Windows.
# TBH some refactoring is needed in order to provide these functions properly, but for now it is easier to compile hts_engine as an OBJECT to be linked to the RHVoice_core. It may be suboptimal though, and surely is dirty.
add_library(libhts_engine OBJECT "${SRCFILES}")
#target_compile_definitions(libhts_engine PRIVATE "-DAUDIO_PLAY_NONE") # Don't activate this before the proper refactoring of HTS_engine is done!!!

set(LIBHTS_VERSION_MAJOR 1)
set(LIBHTS_VERSION_MINOR 06)
set(LIBHTS_VERSION_PATCH 0)
set(LIBHTS_VERSION "${LIBHTS_VERSION_MAJOR}.${LIBHTS_VERSION_MINOR}-RHVoice")
set_target_properties(libhts_engine PROPERTIES VERSION "${LIBHTS_VERSION}" SOVERSION "${LIBHTS_VERSION_MAJOR}")

set(CPACK_COMPONENT_LIBHTS_ENGINE_VERSION_MAJOR "${LIBHTS_VERSION_MAJOR}")
set(CPACK_COMPONENT_LIBHTS_ENGINE_VERSION_MINOR "${LIBHTS_VERSION_MINOR}")
set(CPACK_COMPONENT_LIBHTS_ENGINE_VERSION_PATCH "${LIBHTS_VERSION_PATCH}")
set(CPACK_COMPONENT_LIBHTS_ENGINE_VERSION "${LIBHTS_VERSION}")

target_include_directories(libhts_engine PUBLIC "${CMAKE_CURRENT_SOURCE_DIR}" "${INCLUDE_DIR}")
if(NOT MSVC)
	target_link_libraries(libhts_engine PUBLIC m)
endif()
harden(libhts_engine)
add_sanitizers(libhts_engine)
set_target_properties("libhts_engine" PROPERTIES PREFIX "")


cpack_add_component(libhts_engine
	DISPLAY_NAME "HTS engine"
	DESCRIPTION "hts_engine is software to synthesize speech waveform from HMMs trained by the HMM-based speech synthesis system (HTS). This software is released under the Modified BSD license. This component contains a modified version of HTS engine, for the modifications see the RHVoice GitHub repo."
	GROUP "third_party_libs"
)
#list(APPEND CPACK_COMPONENTS_ALL "libhts_engine")

install(TARGETS "libhts_engine"
	LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
	COMPONENT "libhts_engine"
)
set("CPACK_DEBIAN_LIBHTS_ENGINE_PACKAGE_NAME" "libhtsengine")
pass_through_cpack_vars()

=== src/lib/CMakeLists.txt ===
# Copyright (C) 2010, 2011, 2018, 2019  Olga Yakovleva <yakovleva.o.v@gmail.com>

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

add_library(RHVoice SHARED "${CMAKE_CURRENT_SOURCE_DIR}/lib.cpp")
set_target_properties(RHVoice PROPERTIES VERSION "${RHVOICE_VERSION}" SOVERSION "${RHVOICE_VERSION_MAJOR}")
harden("RHVoice")
add_sanitizers("RHVoice")
target_include_directories(RHVoice PRIVATE "${INCLUDE_DIR}" "${HTS_LABELS_KIT_INCLUDES}")
target_link_libraries("RHVoice" "RHVoice_core")

install(TARGETS "RHVoice"
	LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
	COMPONENT "lib"
)

set("CPACK_DEBIAN_LIB_PACKAGE_NAME" "librhvoice" PARENT_SCOPE)
set(CPACK_DEBIAN_LIB_PACKAGE_DEPENDS "${CPACK_DEBIAN_CORE_PACKAGE_NAME}, ${CPACK_DEBIAN_AUDIO_PACKAGE_NAME}"  PARENT_SCOPE)

=== src/service/CMakeLists.txt ===
# -*- mode: Python; indent-tabs-mode: t -*-
# Copyright (C) 2012, 2018  Olga Yakovleva <yakovleva.o.v@gmail.com>

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.


#pkg_check_modules(LIBGLIMM REQUIRED glibmm-2.4)
pkg_check_modules(LIBGIOMM REQUIRED giomm-2.4)

add_executable("RHVoice-service" "${CMAKE_CURRENT_SOURCE_DIR}/service.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/common.cpp")
target_include_directories("RHVoice-service" PRIVATE "${LIBGIOMM_INCLUDE_DIRS}" "${HTS_LABELS_KIT_INCLUDES}")
target_link_libraries("RHVoice-service" "RHVoice_core" "${LIBGIOMM_LIBRARIES}")
harden("RHVoice-service")
add_sanitizers("RHVoice-service")

install(TARGETS "RHVoice-service"
	RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
	COMPONENT "service"
)
set(SERVICE_FILE_NAME "com.github.OlgaYakovleva.RHVoice.service")

set(serviceInputFile "${CMAKE_CURRENT_SOURCE_DIR}/${SERVICE_FILE_NAME}.in")
set(serviceOutputFile "${CMAKE_CURRENT_BINARY_DIR}/${SERVICE_FILE_NAME}")

set(bindir "${CMAKE_INSTALL_FULL_BINDIR}")
set("servicedir" "${CMAKE_INSTALL_DATADIR}/dbus-1/services" CACHE PATH ".service file installation directory")
set("servicedir_full" "${CMAKE_INSTALL_PREFIX}/${servicedir}")
configure_file("${serviceInputFile}" "${serviceOutputFile}")
install(FILES "${serviceOutputFile}"
	DESTINATION "${servicedir}"
	COMPONENT "service"
)
set("CPACK_DEBIAN_SERVICE_PACKAGE_NAME" "rhvoice-systemd-service" PARENT_SCOPE)

=== src/third-party/CMakeLists.txt ===
# -*- mode: Python; indent-tabs-mode: t; tab-width: 4; python-indent: 4 -*-
# Copyright (C) 2013  Olga Yakovleva <yakovleva.o.v@gmail.com>

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.


if(ENABLE_SONIC)
	add_subdirectory("sonic")
endif()

set(RAPIDXML_INCLUDE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/rapidxml" PARENT_SCOPE)

pkg_check_modules(TCLAP tclap)
if("${TCLAP_FOUND}" AND NOT "${TCLAP_FORCE_COMPILATION}")
	set(TCLAP_INCLUDE_DIR "${TCLAP_INCLUDEDIR}" PARENT_SCOPE)
else()
	set(TCLAP_INCLUDE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/tclap" PARENT_SCOPE)
endif()

pass_through_cpack_vars()

=== debian/changelog ===
rhvoice (1.14.0-3) unstable; urgency=low

  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Update standards version to 4.6.2, no changes needed.
  * Remove field Section on binary packages rhvoice-albanian,
    rhvoice-brazilian-portuguese, rhvoice-czech, rhvoice-english,
    rhvoice-esperanto, rhvoice-kyrgyz, rhvoice-macedonian, rhvoice-polish,
    rhvoice-russian, rhvoice-slovak, rhvoice-tatar, rhvoice-ukrainian,
    rhvoice-uzbek that duplicates source.
  * patches/uint32_t: Fix build against gcc-15 (Closes: Bug#1114346)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 06 Sep 2025 23:53:37 +0200

rhvoice (1.14.0-2) unstable; urgency=medium

  * Rebuild packages on buildds.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 23 Feb 2025 19:01:27 +0100

rhvoice (1.14.0-1) unstable; urgency=medium

  * New upstream release
    - control: rhvoice-czech, rhvoice-slovak, rhvoice-uzbek: new packages.
    - control: Rename libRHVoice-core7 to libRHVoice-core10 according to
    soname bump.
    - rhvoice-polish.install, rhvoice-russian.install: Update voices lists.
    - copyright: Update.
    - patches/third-party, utf8: Refresh.
  * watch: Update to upstream not actually publishing new versions.
  * gbp.conf, copyright: Update for new upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 23 Feb 2025 01:38:25 +0100

=== debian/control ===
Source: rhvoice
Section: non-free/sound
Priority: optional
Maintainer: Debian TTS Team <tts-project@alioth-lists.debian.net>
Uploaders: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper-compat (= 13),
 scons,
 libglibmm-2.4-dev,
 portaudio19-dev,
 libpulse-dev,
 libao-dev,
# libhtsengine-dev,
# TODO: libmage-dev,
 librapidxml-dev,
 libsonic-dev,
 libtclap-dev,
 libutfcpp-dev,
 libboost-dev,
 libspeechd-dev
Standards-Version: 4.6.2
Homepage: https://github.com/Olga-Yakovleva/RHVoice
Vcs-Browser: https://salsa.debian.org/tts-team/rhvoice
Vcs-Git: https://salsa.debian.org/tts-team/rhvoice.git
Rules-Requires-Root: no
XS-Autobuild: yes

Package: rhvoice
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Speech synthesizer - test tools
 RHVoice uses statistical parametric synthesis. It relies on existing open
 source speech technologies (mainly HTS and related software).
 .
 Voices are built from recordings of natural speech. They have small footprints,
 because only statistical models are stored on users' computers. And though
 the voices lack the naturalness of the synthesizers which generate speech
 by combining segments of the recordings themselves, they are still very
 intelligible and resemble the speakers who recorded the source material.
 .
 This package contains test tools

Package: speech-dispatcher-rhvoice
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, speech-dispatcher
Description: RHVoice speech synthesizer - speech dispatcher module
 RHVoice uses statistical parametric synthesis. It relies on existing open
 source speech technologies (mainly HTS and related software).
 .
 Voices are built from recordings of natural speech. They have small footprints,
 because only statistical models are stored on users' computers. And though
 the voices lack the naturalness of the synthesizers which generate speech
 by combining segments of the recordings themselves, they are still very
 intelligible and resemble the speakers who recorded the source material.
 .
 This package contains the speech dispatcher module to use RHVoice

Package: rhvoice-russian
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: rhvoice-voice
Description: RHVoice speech synthesizer - Russian voice
 RHVoice uses statistical parametric synthesis. It relies on existing open
 source speech technologies (mainly HTS and related software).
 .
 This package provides the Russian voice

Package: rhvoice-kyrgyz
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: rhvoice-voice
Description: RHVoice speech synthesizer - Kyrgyz voice
 RHVoice uses statistical parametric synthesis. It relies on existing open
 source speech technologies (mainly HTS and related software).
 .
 This package provides the Kyrgyz voice

# Note: this voice (Talgat) is really non-free by licence
Package: rhvoice-tatar
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: rhvoice-voice
Description: RHVoice speech synthesizer - Tatar voice
 RHVoice uses statistical parametric synthesis. It relies on existing open
 source speech technologies (mainly HTS and related software).
 .
 This package provides the Tatar voice

Package: rhvoice-brazilian-portuguese
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: rhvoice-voice
Description: RHVoice speech synthesizer - Brazilian Portuguese voice
 RHVoice uses statistical parametric synthesis. It relies on existing open
 source speech technologies (mainly HTS and related software).
 .
 This package provides the Brazilian Portuguese voice

Package: rhvoice-ukrainian
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: rhvoice-voice
Description: RHVoice speech synthesizer - Ukrainian voice
 RHVoice uses statistical parametric synthesis. It relies on existing open
 source speech technologies (mainly HTS and related software).
 .
 This package provides the Ukrainian voice

Package: rhvoice-esperanto
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: rhvoice-voice
Description: RHVoice speech synthesizer - Esperanto voice
 RHVoice uses statistical parametric synthesis. It relies on existing open
 source speech technologies (mainly HTS and related software).
 .
 This package provides the Esperanto voice

Package: rhvoice-english
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: rhvoice-voice
Description: RHVoice speech synthesizer - English voice
 RHVoice uses statistical parametric synthesis. It relies on existing open
 source speech technologies (mainly HTS and related software).
 .
 This package provides the English voice

Package: rhvoice-albanian
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: rhvoice-voice
Description: RHVoice speech synthesizer - Albanian voice
 RHVoice uses statistical parametric synthesis. It relies on existing open
 source speech technologies (mainly HTS and related software).
 .
 This package provides the Albanian voice

Package: rhvoice-macedonian
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: rhvoice-voice
Description: RHVoice speech synthesizer - Macedonian voice
 RHVoice uses statistical parametric synthesis. It relies on existing open
 source speech technologies (mainly HTS and related software).
 .
 This package provides the Macedonian voice

Package: rhvoice-polish
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: rhvoice-voice
Description: RHVoice speech synthesizer - Polish voice
 RHVoice uses statistical parametric synthesis. It relies on existing open
 source speech technologies (mainly HTS and related software).
 .
 This package provides the Polish voice

Package: rhvoice-czech
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: rhvoice-voice
Description: RHVoice speech synthesizer - Czech voice
 RHVoice uses statistical parametric synthesis. It relies on existing open
 source speech technologies (mainly HTS and related software).
 .
 This package provides the Czech voice

Package: rhvoice-slovak
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: rhvoice-voice
Description: RHVoice speech synthesizer - Slovak voice
 RHVoice uses statistical parametric synthesis. It relies on existing open
 source speech technologies (mainly HTS and related software).
 .
 This package provides the Slovak voice

Package: rhvoice-uzbek
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: rhvoice-voice
Description: RHVoice speech synthesizer - Uzbek voice
 RHVoice uses statistical parametric synthesis. It relies on existing open
 source speech technologies (mainly HTS and related software).
 .
 This package provides the Uzbek voice

Package: librhvoice-dev
Section: non-free/libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 librhvoice5 (= ${binary:Version}),
 librhvoice-core10 (= ${binary:Version}),
 librhvoice-audio2 (= ${binary:Version}),
Description: RHVoice speech synthesizer - development files
 RHVoice uses statistical parametric synthesis. It relies on existing open
 source speech technologies (mainly HTS and related software).
 .
 Voices are built from recordings of natural speech. They have small footprints,
 because only statistical models are stored on users' computers. And though
 the voices lack the naturalness of the synthesizers which generate speech
 by combining segments of the recordings themselves, they are still very
 intelligible and resemble the speakers who recorded the source material.
 .
 This package contains the development files.

Package: librhvoice5
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: RHVoice speech synthesizer - shared library
 RHVoice uses statistical parametric synthesis. It relies on existing open
 source speech technologies (mainly HTS and related software).
 .
 Voices are built from recordings of natural speech. They have small footprints,
 because only statistical models are stored on users' computers. And though
 the voices lack the naturalness of the synthesizers which generate speech
 by combining segments of the recordings themselves, they are still very
 intelligible and resemble the speakers who recorded the source material.
 .
 This package contains the shared library

Package: librhvoice-core10
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, rhvoice-english | rhvoice-voice
Conflicts: librhvoice-core4, librhvoice-core7
Replaces: librhvoice-core4, librhvoice-core7
Description: RHVoice speech synthesizer - core shared library
 RHVoice uses statistical parametric synthesis. It relies on existing open
 source speech technologies (mainly HTS and related software).
 .
 Voices are built from recordings of natural speech. They have small footprints,
 because only statistical models are stored on users' computers. And though
 the voices lack the naturalness of the synthesizers which generate speech
 by combining segments of the recordings themselves, they are still very
 intelligible and resemble the speakers who recorded the source material.
 .
 This package contains the core shared library

Package: librhvoice-audio2
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: RHVoice speech synthesizer - audio shared library
 RHVoice uses statistical parametric synthesis. It relies on existing open
 source speech technologies (mainly HTS and related software).
 .
 Voices are built from recordings of natural speech. They have small footprints,
 because only statistical models are stored on users' computers. And though
 the voices lack the naturalness of the synthesizers which generate speech
 by combining segments of the recordings themselves, they are still very
 intelligible and resemble the speakers who recorded the source material.
 .
 This package contains the audio shared library

=== debian/watch ===
version=4
opts=\
searchmode=plain,\
dversionmangle=s/\+dfsg$//,\
repacksuffix=+dfsg,\
filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%rhvoice-$1% \
  https://github.com/RHVoice/RHVoice/tags \
 /RHVoice/RHVoice/archive/refs/tags/@ANY_VERSION@@ARCHIVE_EXT@
